TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Detect hash

POST
/api/v2/detectHash

Validates a hash and returns it in all standard formats. Use this to convert between hex (64 chars) and base64 (44 chars) representations. Works with any 256-bit hash including transaction hashes, block hashes, and message hashes.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v2/detectHash" \  -H "Content-Type: application/json" \  -d '{    "hash": "string"  }'
{  "ok": true,  "result": {    "@type": "ext.utils.detectedHash",    "b64": "string",    "b64url": "string",    "hex": "string"  },  "@extra": "string"}